Skip to main content
`Ctrl`+`K`

# LogQuantity

class astropy.units.LogQuantity(value, unit=None, dtype=<class 'numpy.inexact'>, copy=True, order=None, subok=False, ndmin=0)

  Bases: `FunctionQuantity`

  A representation of a (scaled) logarithm of a number with a unit.

  Parameters:
    value number, `Quantity`, `LogQuantity`, or python:sequence of quantity-like.

      The numerical value of the logarithmic quantity. If a number or a `Quantity` with a logarithmic unit, it will be converted to `unit` and the physical unit will be inferred from `unit`. If a `Quantity` with just a physical unit, it will converted to the logarithmic unit, after, if necessary, converting it to the physical unit inferred from `unit`.

    unit `python:str`, `UnitBase`, or `FunctionUnitBase`, optional

      For an `FunctionUnitBase` instance, the physical unit will be taken from it; for other input, it will be inferred from `value`. By default, `unit` is set by the subclass.

    dtype `dtype`, optional

      The `dtype` of the resulting Numpy array or scalar that will hold the value. If not provided, is is determined automatically from the input value.

    copy bool, optional

      If `True` (default), then the value is copied. Otherwise, a copy will only be made if `__array__` returns a copy, if value is a nested sequence, or if a copy is needed to satisfy an explicitly given `dtype`. (The `False` option is intended mostly for internal use, to speed up initialization where a copy is known to have been made. Use with care.)

  Examples

  Typically, use is made of an `FunctionQuantity` subclass, as in:

      >>> import astropy.units as u
      >>> u.Magnitude(-2.5)
      <Magnitude -2.5 mag>
      >>> u.Magnitude(10.*u.count/u.second)
      <Magnitude -2.5 mag(ct / s)>
      >>> u.Decibel(1.*u.W, u.DecibelUnit(u.mW))
      <Decibel 30. dB(mW)>

  Methods Summary

  `diff`([n, axis]) |
  `ediff1d`([to_end, to_begin]) |
  `std`([axis, dtype, out, ddof, keepdims, ...]) | Returns the standard deviation of the array elements along given axis.
  `var`([axis, dtype, out, ddof, keepdims, ...]) | Returns the variance of the array elements, along given axis.

  Methods Documentation

  diff(n=1, axis=-1)
  ediff1d(to_end=None, to_begin=None)
  std(axis=None, dtype=None, out=None, ddof=0, *, keepdims=<no value>, where=<no value>, mean=<no value>)

    Returns the standard deviation of the array elements along given axis.

    Refer to `numpy.std` for full documentation.

    See also

    `numpy.std`

      equivalent function

  var(axis=None, dtype=None, out=None, ddof=0, *, keepdims=<no value>, where=<no value>, mean=<no value>)

    Returns the variance of the array elements, along given axis.

    Refer to `numpy.var` for full documentation.

    See also

    `numpy.var`

      equivalent function